<?php

namespace App\Models;

use Database\Factories\FuelTypeFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\FuelType
 *
 * @property string $name
 * @property float|null $price
 * @method static FuelTypeFactory factory($count = null, $state = [])
 * @method static Builder|FuelType newModelQuery()
 * @method static Builder|FuelType newQuery()
 * @method static Builder|FuelType query()
 * @method static Builder|FuelType whereName($value)
 * @method static Builder|FuelType wherePrice($value)
 * @mixin Eloquent
 */
class FuelType extends Model
{
    use HasFactory;

    protected $primaryKey = 'name';
    protected $table = 'fuel_types';
    public $incrementing = false;
    public $timestamps = false;
    protected $guarded = [];

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): FuelType
    {
        $this->name = $name;

        return $this;
    }

    public function getPrice(): ?float
    {
        return $this->price;
    }

    public function setPrice(?float $price): FuelType
    {
        $this->price = $price;

        return $this;
    }

    public function getDisplayName(): string
    {
        return ucwords(str_replace('_', ' ', $this->name));
    }
}
