<?php

namespace App\Models;

use Database\Factories\VendorFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\Vendor
 *
 * @property string $name
 * @property string $description
 * @property string $manufacturers
 * @property string $types
 * @property string $classes
 * @property string $fuelTypes
 * @property float $maxPrice
 * @property float $minPrice
 * @property float $x
 * @property float $y
 * @property float $z
 * @method static VendorFactory factory($count = null, $state = [])
 * @method static Builder|Vendor newModelQuery()
 * @method static Builder|Vendor newQuery()
 * @method static Builder|Vendor query()
 * @method static Builder|Vendor whereClasses($value)
 * @method static Builder|Vendor whereDescription($value)
 * @method static Builder|Vendor whereFuelTypes($value)
 * @method static Builder|Vendor whereManufacturers($value)
 * @method static Builder|Vendor whereMaxPrice($value)
 * @method static Builder|Vendor whereMinPrice($value)
 * @method static Builder|Vendor whereName($value)
 * @method static Builder|Vendor whereTypes($value)
 * @method static Builder|Vendor whereX($value)
 * @method static Builder|Vendor whereY($value)
 * @method static Builder|Vendor whereZ($value)
 * @mixin Eloquent
 */
class Vendor extends Model
{
    use HasFactory;

    protected $primaryKey = 'name';
    protected $table = 'vendors';
    public $incrementing = false;
    public $timestamps = false;
    protected $guarded = [];

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): Vendor
    {
        $this->name = $name;

        return $this;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function setDescription(string $description): Vendor
    {
        $this->description = $description;

        return $this;
    }

    public function getManufacturers(): string
    {
        return $this->manufacturers;
    }

    public function setManufacturers(string $manufacturers): Vendor
    {
        $this->manufacturers = $manufacturers;

        return $this;
    }

    public function getTypes(): string
    {
        return $this->types;
    }

    public function setTypes(string $types): Vendor
    {
        $this->types = $types;

        return $this;
    }

    public function getClasses(): string
    {
        return $this->classes;
    }

    public function setClasses(string $classes): Vendor
    {
        $this->classes = $classes;

        return $this;
    }

    public function getFuelTypes(): string
    {
        return $this->fuelTypes;
    }

    public function setFuelTypes(string $fuel_types): Vendor
    {
        $this->fuelTypes = $fuel_types;

        return $this;
    }

    public function getMaxPrice(): float
    {
        return $this->maxPrice;
    }

    public function setMaxPrice(float $max_price): Vendor
    {
        $this->maxPrice = $max_price;

        return $this;
    }

    public function getMinPrice(): float
    {
        return $this->minPrice;
    }

    public function setMinPrice(float $min_price): Vendor
    {
        $this->minPrice = $min_price;

        return $this;
    }

    public function getX(): float
    {
        return $this->x;
    }

    public function setX(float $x): Vendor
    {
        $this->x = $x;

        return $this;
    }

    public function getY(): float
    {
        return $this->y;
    }

    public function setY(float $y): Vendor
    {
        $this->y = $y;

        return $this;
    }

    public function getZ(): float
    {
        return $this->z;
    }

    public function setZ(float $z): Vendor
    {
        $this->z = $z;

        return $this;
    }
}
