<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vehicles', function (Blueprint $table) {
            $table->string('model')->primary();
            $table->string('displayName');
            $table->string('manufacturer');
            $table->text('description');
            $table->string('type')->default('unknown');
            $table->string('class')->default('unknown');
            $table->boolean('isSold')->default(false);
            $table->double('price')->default(-1);
            $table->integer('storage')->default(-1);
            $table->string('fuelType')->default('Unknown');
            $table->integer('seats')->default(-1);
            $table->string('hash')->unique();
            $table->string('signedHash')->nullable()->default(null);
            $table->string('hexHash')->nullable()->default(null);
            $table->double('speed')->default(-1);
            $table->double('acceleration')->default(-1);
            $table->double('braking')->default(-1);
            $table->double('traction')->default(-1);
            $table->double('length')->default(-1);
            $table->double('width')->default(-1);
            $table->double('height')->default(-1);
            $table->double('topSpeed')->default(-1);
            $table->integer('gears')->default(-1);
            $table->integer('mass')->default(-1);
            $table->string('driveTrain');
            $table->double('consumption')->default(-1);
            $table->integer('fuelTankVolume')->default(-1);
            $table->integer('oilTankVolume')->default(-1);
            $table->string('inspiredBy')->default('unknown');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vehicles');
    }
};
