<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('vehicles', function (Blueprint $table) {
            $table->foreign('manufacturer')->references('name')->on('manufacturers');
            $table->foreign('type')->references('name')->on('types');
            $table->foreign('class')->references('name')->on('classes');
            $table->foreign('fuelType')->references('name')->on('fuel_types');
            $table->foreign('driveTrain')->references('name')->on('drive_trains');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('vehicles', function (Blueprint $table) {
            $table->dropForeign('manufacturer');
            $table->dropForeign('type');
            $table->dropForeign('class');
            $table->dropForeign('fuelType');
            $table->dropForeign('driveTrain');
        });
    }
};
