<x-layout title="{{ __('Login') }}">
	<x-slot:breadcrumb>
		{{ Breadcrumbs::render('login') }}
	</x-slot:breadcrumb>
	<x-slot name="header">
		<x-auth-session-status class="mb-4" :status="session('status')"/>

		<div class="flex flex-col max-w-md p-6 rounded-md mx-auto">
			<div class="mb-8 text-center">
				<h1 class="my-3 text-4xl font-bold">Sign in</h1>
				<p class="text-sm dark:text-gray-400">Sign in to access your account</p>
			</div>
			<form method="POST" action="{{ route('login') }}"
			      class="space-y-12 ng-untouched ng-pristine ng-valid">
				@csrf
				<div class="space-y-4">
					<div>
						<x-input-label for="email" :value="__('Email address')"/>
						<x-text-input id="email" type="email" name="email" :value="old('email')"
						              placeholder="thesilenzed@shuri.gg" required autofocus
						              autocomplete="username"/>
						<x-input-error :messages="$errors->get('email')" class="mt-2"/>
					</div>
					<div>
						<div class="flex justify-between">
							<x-input-label for="password" :value="__('Password')"/>
							@if (Route::has('password.request'))
								<a rel="noopener noreferrer" href="{{ route('password.request') }}"
								   class="text-xs hover:underline">Forgot
									password?</a>
							@endif
						</div>
						<x-text-input id="password" type="password" name="password"
						              placeholder="1234"
						              required autocomplete="current-password"/>
						<x-input-error :messages="$errors->get('password')" class="mt-2"/>
					</div>
				</div>
				<div class="space-y-2">
					<div class="block">
						<label for="remember_me" class="inline-flex items-center">
							<input id="remember_me" type="checkbox"
							       class="rounded border-gray-300 shadow-sm focus:ring-indigo-500"
							       name="remember">
							<span class="ml-2 text-sm">{{ __('Remember me') }}</span>
						</label>
					</div>
					<div>
						<x-primary-button>
							{{ __('Log in') }}
						</x-primary-button>
					</div>
				</div>
			</form>
		</div>
	</x-slot>
</x-layout>
