<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="csrf-token" content="{{ csrf_token() }}">
	<link rel="apple-touch-icon-precomposed" sizes="57x57" href="{{ asset('img/favicon/apple-touch-icon-57x57.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="114x114" href="{{ asset('img/favicon/apple-touch-icon-114x114.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="72x72" href="{{ asset('img/favicon/apple-touch-icon-72x72.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="144x144" href="{{ asset('img/favicon/apple-touch-icon-144x144.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="60x60" href="{{ asset('img/favicon/apple-touch-icon-60x60.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="120x120" href="{{ asset('img/favicon/apple-touch-icon-120x120.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="76x76" href="{{ asset('img/favicon/apple-touch-icon-76x76.png') }}" />
	<link rel="apple-touch-icon-precomposed" sizes="152x152" href="{{ asset('img/favicon/apple-touch-icon-152x152.png') }}" />
	<link rel="icon" type="image/png" href="{{ asset('img/favicon/favicon-196x196.png') }}" sizes="196x196" />
	<link rel="icon" type="image/png" href="{{ asset('img/favicon/favicon-96x96.png') }}" sizes="96x96" />
	<link rel="icon" type="image/png" href="{{ asset('img/favicon/favicon-32x32.png') }}" sizes="32x32" />
	<link rel="icon" type="image/png" href="{{ asset('img/favicon/favicon-16x16.png') }}" sizes="16x16" />
	<link rel="icon" type="image/png" href="{{ asset('img/favicon/favicon-128.png') }}" sizes="128x128" />
	<meta name="application-name" content="{{ env('APP_NAME') }}"/>
	<meta name="msapplication-TileColor" content="#FFFFFF" />
	<meta name="msapplication-TileImage" content="{{ asset('img/favicon/mstile-144x144.png') }}" />
	<meta name="msapplication-square70x70logo" content="{{ asset('img/favicon/mstile-70x70.png') }}" />
	<meta name="msapplication-square150x150logo" content="{{ asset('img/favicon/mstile-150x150.png') }}" />
	<meta name="msapplication-wide310x150logo" content="{{ asset('img/favicon/mstile-310x150.png') }}" />
	<meta name="msapplication-square310x310logo" content="{{ asset('img/favicon/mstile-310x310.png') }}" />

	<title>{{ ucwords(env('APP_NAME') . ': ' . $title) }}</title>

	<!-- Fonts -->
	<link href="https://fonts.googleapis.com/css?family=PT+Sans:400,700"
	      rel="stylesheet" type="text/css">

	<!-- Styles -->
	<link rel="stylesheet" href="{{ mix('css/app.css') }}">

	<!-- Scripts -->
	<script src="{{ mix('js/app.js') }}" defer></script>
</head>
<body x-data="{ sidebarOpen: false }" class="antialiased bg-zinc-700 text-gray-400 scrollbar-thin scrollbar-thumb-{{ env('ACCENT_COLOR') }} scrollbar-track-zinc-700 scrollbar-corner-zinc-800 scrollbar-thumb-rounded"
      style="font-family: 'PT Sans',sans-serif;">
<x-env-tailwind-class-generator />
<div class="min-h-screen">
	<x-layout.sidebar/>
	<div class="mr-[.5rem] min-h-screen -mb-[6.5rem] ml-[4rem]"
	     :class="sidebarOpen && (window.innerWidth > 1280) ? 'xl:ml-[15.5rem] lg:ml-[4rem]' : ''">
		<!-- Page Heading -->
		<header>
			<div class="h-[6rem] bg-zinc-800 -mx-2 flex">
				<div class="my-auto mx-auto flex">
					<img src="{{ asset('img/logo.png') }}" alt="" class="h-[3.5rem] mx-2"/>
					<div>
						<h2 class="text-lg font-bold text-{{ env('ACCENT_COLOR') }}">{{ env('APP_NAME') }}</h2>
						<p>{{ env('APP_TITLE') }}</p>
					</div>
				</div>
			</div>

			<div
				class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8 bg-zinc-800 rounded-[1rem] my-[1rem] text-center">
				{{ $breadcrumb }}
				{{ $header }}
			</div>
		</header>

		<!-- blocked js modal -->
		<noscript>
			<div class="fixed w-full flex justify-center items-center -mx-2">
				<input id="noJsModal" type="checkbox" class="hidden peer">
				<div tabindex="-1"
				     class="text-center align-middle z-50 p-4 overflow-x-hidden overflow-y-auto peer-checked:hidden">
					<div class="relative w-full h-full max-w-md md:h-auto">
						<div class="relative bg-red-500 rounded-lg shadow">
							<div class="p-6 text-center">
								<svg aria-hidden="true"
								     class="mx-auto mb-4 text-gray-200 w-14 h-14"
								     fill="none" stroke="currentColor" viewBox="0 0 24 24"
								     xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round"
									      stroke-width="2"
									      d="M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"></path>
								</svg>
								<h3 class="mb-5 text-lg font-normal text-gray-200">{{ __('Eyo bro. Seems like one of your browser plugins blocks the JavaScript on my website. You might wanna consider whitelisting this site or live with it being broken.') }}</h3>
								<label for="noJsModal"
								       class="text-white bg-red-600 hover:bg-red-800 focus:ring-4 focus:outline-none focus:ring-red-300 dark:focus:ring-red-800 font-medium rounded-lg text-sm inline-flex items-center px-5 py-2.5 text-center mr-2">
									{{ __('FUCK JS.') }}
								</label>
							</div>
						</div>
					</div>
				</div>
			</div>
		</noscript>

		<!-- Page Content -->
		<main>
			{{ $slot }}
		</main>
		<div class="h-[7rem]"></div>
	</div>
	<!-- Footer -->
	<footer class="mr-[.5rem] justify-center text-center ml-[4rem]" :class="sidebarOpen && (window.innerWidth > 1280) ? 'xl:ml-[15.5rem] lg:ml-[4rem]' : ''">
		<span>{!! '&copy;' . env('APP_COPYRIGHT_SINCE', date('Y')) . '-' . date('Y') . ' ' . __('Copyright :copyright, All Rights Reserved.', ['copyright' => env('APP_COPYRIGHT')]) !!}</span>
		<img alt="" src="{{ asset(env('FOOTER_IMAGE')) }}" class="max-h-[5rem] block mx-auto"/>
	</footer>
</div>
</body>
</html>