import forms from '@tailwindcss/forms';
import typography from '@tailwindcss/typography';
import daisyui from 'daisyui';
import aspectRatio from '@tailwindcss/aspect-ratio';
import containerQueries from '@tailwindcss/container-queries';
import scrollbar from 'tailwind-scrollbar';

/** @type {import('tailwindcss').Config} */
export default {
    content: [
        './vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php',
        './storage/framework/views/*.php',
        './resources/views/**/*.blade.php',
    ],

    theme: {
        extend: {
            screens: {
                'sm': '640px',
                'md': '768px',
                'lg': '1080px',
                'xl': '1280px',
                '2xl': '1790px',
                '3xl': '2300px',
                '4xl': '2800px',
                '5xl': '3300px',
            },
        },
    },

    plugins: [forms, aspectRatio, daisyui, containerQueries, typography, scrollbar({ nocompatible: true })],
};
